package com.docus.server.collect;

import com.docus.server.entity.TaskConfig;
import com.docus.server.util.PeriodTime;

public interface IJob<T> {

    /**
     * 全量
     */
    void startCollectAll(String taskConfigId);

    /**
     * 增量
     */
    void startCollectIncrement(String taskConfigId);

    /**
     * 根据配置获取数据
     */
    void page(PeriodTime periodTime, TaskConfig taskConfig);

}
